## org.eclipse.emf.codegen.ecore.genmodel.impl
Class GenClassifierImpl

    java.lang.Object
      org.eclipse.emf.common.notify.impl.BasicNotifierImpl
          org.eclipse.emf.ecore.impl.BasicEObjectImpl
              org.eclipse.emf.ecore.impl.EObjectImpl
                  org.eclipse.emf.codegen.ecore.genmodel.impl.GenBaseImpl
                      org.eclipse.emf.codegen.ecore.genmodel.impl.GenClassifierImpl

All Implemented Interfaces:
  GenBase, GenClassifier, Notifier, EObject, InternalEObject

Direct Known Subclasses:
  GenClassImpl, GenDataTypeImpl

    public abstract class GenClassifierImpl

extends GenBaseImpl
implements GenClassifier

An implementation of the model object 'Gen Meta Object'.

The following features are implemented:

- `Gen Package`
- `Gen Type Parameters`

Nested Class Summary

Nested classes/interfaces inherited from class org.eclipse.emf.codegen.ecore.genmodel.impl.GenBaseImpl
`GenBaseImpl.AnnotationFilter, GenBaseImpl.AnnotationFilterImpl, GenBaseImpl.ColorInformation, GenBaseImpl.EclipseUtil, GenBaseImpl.GenAnnotationCopier, GenBaseImpl.GenClassFilter, GenBaseImpl.GenConstraintFilter, GenBaseImpl.GenFeatureFilter, GenBaseImpl.GenOperationFilter, GenBaseImpl.GIFEmitter, GenBaseImpl.UniqueNameHelper`

Nested classes/interfaces inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl
`BasicEObjectImpl.EPropertiesHolder, BasicEObjectImpl.EPropertiesHolderBaseImpl, BasicEObjectImpl.EPropertiesHolderImpl`

Nested classes/interfaces inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl
`BasicNotifierImpl.EAdapterList<E extends java.lang.Object & Adapter>`

Nested classes/interfaces inherited from interface org.eclipse.emf.ecore.InternalEObject
`InternalEObject.EStore`

Field Summary
`protected EList<GenTypeParameter>` `genTypeParameters` The cached value of the '`Gen Type Parameters`' containment reference list

Fields inherited from class org.eclipse.emf.codegen.ecore.genmodel.impl.GenBaseImpl
`DEFAULT_ANNOTATION_FILTER, ecoreGenPackage, EMPTY_URI, genAnnotations, PLATFORM_RESOURCE_URI, xmlNamespaceGenPackage, xmlTypeGenPackage`

Fields inherited from class org.eclipse.emf.ecore.impl.EObjectImpl
`eAdapters, eContainer, eContainerFeatureID, EDELIVER, EDYNAMIC_CLASS, eFlags, ELAST_EOBJECT_FLAG, ELAST_NOTIFIER_FLAG, eProperties, EPROXY`

Fields inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl
`EVIRTUAL_GET, EVIRTUAL_IS_SET, EVIRTUAL_NO_VALUE, EVIRTUAL_SET, EVIRTUAL_UNSET`

Fields inherited from interface org.eclipse.emf.ecore.InternalEObject
`EOPPOSITE_FEATURE_BASE`

Constructor Summary
`protected` `GenClassifierImpl()`

Method Summary
`java.lang.Object` `eGet(int featureID, boolean resolve, boolean coreType)`
`NotificationChain` `eInverseRemove(InternalEObject otherEnd, int featureID, NotificationChain msgs)`
`boolean` `eIsSet(int featureID)`
`void` `eSet(int featureID, java.lang.Object newValue)`
`protected EClass` `eStaticClass()`
`void` `eUnset(int featureID)`
`java.util.List<java.lang.String>` `getAllGenConstraints()`
`java.lang.String` `getClassifierAccessorName()`
`java.lang.String` `getClassifierID()`
`java.lang.String` `getClassifierInstanceName()`
`GenClassifier` `getConstraintImplementor(java.lang.String constraint)`
`abstract EClassifier` `getEcoreClassifier()`
`EModelElement` `getEcoreModelElement()`
`java.lang.String` `getFormattedName()` This returns a name like 'XSDElementDeclaration' formatted like 'XSD Element Declaration'
`java.util.List<java.lang.String>` `getGenConstraints()`
`GenPackage` `getGenPackage()`
`EList<GenTypeParameter>` `getGenTypeParameters()`
`java.lang.String` `getImportedBoundedWildcardInstanceClassName()`
`abstract java.lang.String` `getImportedMetaType()`
`java.lang.String` `getImportedParameterizedInstanceClassName()`
`java.lang.String` `getImportedWildcardInstanceClassName()`
`java.lang.String` `getMetaType()`
`java.lang.String` `getName()`
`java.lang.String` `getQualifiedClassifierAccessor()`
`java.lang.String` `getSafeUncapName()`
`java.lang.String` `getUncapName()`
`boolean` `hasOnlyDefaultConstraints()`
`boolean` `isUncheckedCast()`

Methods inherited from class org.eclipse.emf.codegen.ecore.genmodel.impl.GenBaseImpl

`addNonDuplicates, appendAnnotationInfo, appendAnnotationInfo, appendAnnotationInfo, appendLineBreak, appendModelSetting, appendModelSetting, canGenerate, canGenerateEdit, canGenerateEditor, canGenerateSchema, canGenerateTests, capName, collectGenClasses, collectGenConstraints, collectGenFeatures, collectGenOperations, createInputStream, createMonitor, createOutputStream, eInverseAdd, eObjectForURIFragmentSegment, escapeString, eURIFragmentSegment, exists, filterGenClasses, findGenClass, findGenClassifier, findGenDataType, findGenEnum, findGenFeature, findGenOperation, findGenPackage, findGenPackageHelper, findOrCreateContainer, format, format, formatCode, gen, gen, genEdit, genEditor, generate, generate, generate, generate, generate, generate, generate, generateEdit, generateEdit, generateEditor, generateEditor, generateSchema, generateSchema, generateTests, generateTests, genSchema, genTests, getAllGenPackages, getAnnotationInfo, getAnnotationInfo, getBoundType, getContents, getCopyright, getCopyright, getDocumentation, getDocumentation, getEcoreType, getEffectiveComplianceLevel, getEffectiveEObjectType, getEffectiveFeatureMapWrapperInterface, getEffectiveListType, getEffectiveListType, getEffectiveListType, getEffectiveMapType, getEffectiveMapType, getEffectiveMapType, getEncoding, getExtendedMetaData, getGenAnnotation, getGenAnnotations, getGenModel, getImplClassName, getImportedEffectiveFeatureMapWrapperClass, getImportedEffectiveFeatureMapWrapperInternalInterface, getImportedType, getImportedType, getImportedType, getImportManager, getInstanceClass, getJavaLangTypes, getJavaReservedWords, getModelInfo, getPrimitiveDefault, getPrimitiveObjectType, getType, getType, getType, getTypeArgument, getTypeArguments, getTypeGenClasses, hasCopyright, hasDocumentation, hasModelContribution, hasReferenceToClassifierWithInstanceTypeName, hasReferenceToClassifierWithInstanceTypeName, indent, isBlank, isEffectiveSuppressEMFTypes, isJavaUtilMapEntry, isPrimitiveType, isReadOnly, parseName, reconcileGenAnnotations, safeName, setImportManager, setOverwriteable, uncapName, uncapPrefixedName, uncapPrefixedName, unicodeEscapeEncode`

Methods inherited from class org.eclipse.emf.ecore.impl.EObjectImpl
`eAdapters, eBasicAdapters, eBasicProperties, eBasicSetContainer, eClass, eContainerFeatureID, eDeliver, eInternalContainer, eIsProxy, eProperties, eSetClass, eSetDeliver, eSetProxyURI`

Methods inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl

`eAddVirtualValue, eAllContents, eBaseStructuralFeatureID, eBasicRemoveFromContainer, eBasicRemoveFromContainerFeature, eBasicSetContainer, eComputeVirtualValuesCapacity, eContainer, eContainingFeature, eContainmentFeature, eContainmentFeature, eContains, eContents, eCrossReferences, eDerivedStructuralFeatureID, eDerivedStructuralFeatureID, eDirectResource, eDynamicBasicRemoveFromContainer, eDynamicClass, eDynamicFeature, eDynamicFeatureID, eDynamicGet, eDynamicGet, eDynamicGet, eDynamicInverseAdd, eDynamicInverseAdd, eDynamicInverseRemove, eDynamicInverseRemove, eDynamicIsSet, eDynamicIsSet, eDynamicIsSet, eDynamicSet, eDynamicSet, eDynamicSet, eDynamicUnset, eDynamicUnset, eDynamicUnset, eGet, eGet, eGet, eHasSettings, eInternalResource, eInverseAdd, eInverseRemove, eIsSet, eOpenGet, eOpenIsSet, eOpenSet, eOpenUnset, eProxyURI, eRemoveVirtualValue, eResolveProxy, eResource, eSet, eSetDirectResource, eSetResource, eSetStore, eSetting, eSettingDelegate, eSettings, eSetVirtualIndexBits, eSetVirtualValue, eSetVirtualValues, eStaticFeatureCount, eStore, eUnset, eVirtualBitCount, eVirtualGet, eVirtualGet, eVirtualIndex, eVirtualIndexBits, eVirtualIsSet, eVirtualSet, eVirtualUnset, eVirtualValue, eVirtualValues, toString`

Methods inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl
`eNotificationRequired, eNotify`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.eclipse.emf.codegen.ecore.genmodel.GenClassifier
`getConstraintDelegate, getGeneratedInstanceClassFlag, getImportedInstanceClassName, getRawImportedInstanceClassName, getRawInstanceClassName`

Methods inherited from interface org.eclipse.emf.codegen.ecore.genmodel.GenBase

`canGenerate, canGenerateEdit, canGenerateEditor, canGenerateSchema, canGenerateTests, capName, format, gen, genEdit, genEditor, generate, generate, generateEdit, generateEdit, generateEditor, generateEditor, generateSchema, generateSchema, generateTests, generateTests, genSchema, genTests, getCopyright, getDocumentation, getGenAnnotation, getGenAnnotations, getGenModel, hasCopyright, hasDocumentation, reconcile, safeName, uncapName, uncapPrefixedName`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Methods inherited from interface org.eclipse.emf.ecore.InternalEObject
`eNotificationRequired`

Field Detail

### genTypeParameters

    protected EList<GenTypeParameter> genTypeParameters

  The cached value of the '`Gen Type Parameters`' containment reference list.

  See Also:
    `getGenTypeParameters()`

Constructor Detail

### GenClassifierImpl

    protected GenClassifierImpl()

Method Detail

### eStaticClass

    protected EClass eStaticClass()

  Overrides:
    `eStaticClass` in class `GenBaseImpl`

### getGenPackage

    public GenPackage getGenPackage()

  Specified by:
    `getGenPackage` in interface `GenClassifier`
  Returns:
    the value of the 'Gen Package' reference.
  See Also:
    `GenModelPackage.getGenClassifier_GenPackage()`, `GenPackage.getGenClassifiers()`

### getGenTypeParameters

    public EList<GenTypeParameter> getGenTypeParameters()

  Specified by:
    `getGenTypeParameters` in interface `GenClassifier`
  Returns:
    the value of the 'Gen Type Parameters' containment reference list.
  See Also:
    `GenModelPackage.getGenClassifier_GenTypeParameters()`

### eInverseRemove

    public NotificationChain eInverseRemove(InternalEObject otherEnd,
                                            int featureID,
                                            NotificationChain msgs)

  Overrides:
    `eInverseRemove` in class `GenBaseImpl`

### eGet

    public java.lang.Object eGet(int featureID,
                                 boolean resolve,
                                 boolean coreType)

  Specified by:
    `eGet` in interface `InternalEObject`
  Overrides:
    `eGet` in class `GenBaseImpl`
  See Also:
    `InternalEObject.eGet(EStructuralFeature, boolean, boolean)`

### eSet

    public void eSet(int featureID,
                     java.lang.Object newValue)

  Specified by:
    `eSet` in interface `InternalEObject`
  Overrides:
    `eSet` in class `GenBaseImpl`
  See Also:
    `EObject.eSet(EStructuralFeature, Object)`

### eUnset

    public void eUnset(int featureID)

  Specified by:
    `eUnset` in interface `InternalEObject`
  Overrides:
    `eUnset` in class `GenBaseImpl`
  See Also:
    `EObject.eUnset(EStructuralFeature)`

### eIsSet

    public boolean eIsSet(int featureID)

  Specified by:
    `eIsSet` in interface `InternalEObject`
  Overrides:
    `eIsSet` in class `GenBaseImpl`
  See Also:
    `EObject.eIsSet(EStructuralFeature)`

### getEcoreModelElement

    public EModelElement getEcoreModelElement()

  Specified by:
    `getEcoreModelElement` in interface `GenBase`
  Overrides:
    `getEcoreModelElement` in class `GenBaseImpl`

### getEcoreClassifier

    public abstract EClassifier getEcoreClassifier()

  Specified by:
    `getEcoreClassifier` in interface `GenClassifier`

### getImportedMetaType

    public abstract java.lang.String getImportedMetaType()

  Specified by:
    `getImportedMetaType` in interface `GenClassifier`

### getMetaType

    public java.lang.String getMetaType()

  Specified by:
    `getMetaType` in interface `GenClassifier`

### getName

    public java.lang.String getName()

  Specified by:
    `getName` in interface `GenClassifier`
  Specified by:
    `getName` in class `GenBaseImpl`

### getUncapName

    public java.lang.String getUncapName()

### getSafeUncapName

    public java.lang.String getSafeUncapName()

  Specified by:
    `getSafeUncapName` in interface `GenClassifier`

### getClassifierAccessorName

    public java.lang.String getClassifierAccessorName()

  Specified by:
    `getClassifierAccessorName` in interface `GenClassifier`

### getQualifiedClassifierAccessor

    public java.lang.String getQualifiedClassifierAccessor()

  Specified by:
    `getQualifiedClassifierAccessor` in interface `GenClassifier`

### getFormattedName

    public java.lang.String getFormattedName()

  Description copied from interface: `GenClassifier`
  This returns a name like 'XSDElementDeclaration' formatted like 'XSD Element Declaration'

  Specified by:
    `getFormattedName` in interface `GenClassifier`

### getClassifierInstanceName

    public java.lang.String getClassifierInstanceName()

  Specified by:
    `getClassifierInstanceName` in interface `GenClassifier`

### getClassifierID

    public java.lang.String getClassifierID()

  Specified by:
    `getClassifierID` in interface `GenClassifier`

### getGenConstraints

    public java.util.List<java.lang.String> getGenConstraints()

  Specified by:
    `getGenConstraints` in interface `GenClassifier`

### getAllGenConstraints

    public java.util.List<java.lang.String> getAllGenConstraints()

  Specified by:
    `getAllGenConstraints` in interface `GenClassifier`

### getConstraintImplementor

    public GenClassifier getConstraintImplementor(java.lang.String constraint)

  Specified by:
    `getConstraintImplementor` in interface `GenClassifier`

### hasOnlyDefaultConstraints

    public boolean hasOnlyDefaultConstraints()

  Specified by:
    `hasOnlyDefaultConstraints` in interface `GenClassifier`

### isUncheckedCast

    public boolean isUncheckedCast()

  Specified by:
    `isUncheckedCast` in interface `GenClassifier`

### getImportedParameterizedInstanceClassName

    public java.lang.String getImportedParameterizedInstanceClassName()

  Specified by:
    `getImportedParameterizedInstanceClassName` in interface `GenClassifier`

### getImportedWildcardInstanceClassName

    public java.lang.String getImportedWildcardInstanceClassName()

  Specified by:
    `getImportedWildcardInstanceClassName` in interface `GenClassifier`

### getImportedBoundedWildcardInstanceClassName

    public java.lang.String getImportedBoundedWildcardInstanceClassName()

  Specified by:
    `getImportedBoundedWildcardInstanceClassName` in interface `GenClassifier`

Copyright 2001-2006 IBM Corporation and others. All Rights Reserved.